package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.enums.GroupStatusEnum;
import com.ym.mec.biz.dal.enums.GroupType;

import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2020/3/8
 */
public class CourseGroupTeacherCardDto {

    private Long id;

    private GroupType groupType;

    private String name;

    private Integer classGroupId;

    private Integer subjectId;

    private String subjectName;

    private Integer totalCourseTimes;

    private Integer singleClassMinutes;

    private java.util.Date coursesStartDate;

    private java.util.Date coursesEndDate;

    private Integer currentClassTimes;

    private Integer surplusClassTimes;

    private String studentNames;

    private Integer studentIsFull;

    private GroupStatusEnum groupStatus;

    public Integer getStudentIsFull() {
        return studentIsFull;
    }

    public void setStudentIsFull(Integer studentIsFull) {
        this.studentIsFull = studentIsFull;
    }

    public GroupStatusEnum getGroupStatus() {
        return groupStatus;
    }

    public void setGroupStatus(GroupStatusEnum groupStatus) {
        this.groupStatus = groupStatus;
    }

    public Integer getClassGroupId() {
        return classGroupId;
    }

    public void setClassGroupId(Integer classGroupId) {
        this.classGroupId = classGroupId;
    }

    public GroupType getGroupType() {
        return groupType;
    }

    public void setGroupType(GroupType groupType) {
        this.groupType = groupType;
    }

    public Integer getCurrentClassTimes() {
        return currentClassTimes;
    }

    public void setCurrentClassTimes(Integer currentClassTimes) {
        this.currentClassTimes = currentClassTimes;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Integer subjectId) {
        this.subjectId = subjectId;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public Integer getTotalCourseTimes() {
        return totalCourseTimes;
    }

    public void setTotalCourseTimes(Integer totalCourseTimes) {
        this.totalCourseTimes = totalCourseTimes;
    }

    public Integer getSingleClassMinutes() {
        return singleClassMinutes;
    }

    public void setSingleClassMinutes(Integer singleClassMinutes) {
        this.singleClassMinutes = singleClassMinutes;
    }

    public Date getCoursesStartDate() {
        return coursesStartDate;
    }

    public void setCoursesStartDate(Date coursesStartDate) {
        this.coursesStartDate = coursesStartDate;
    }

    public Date getCoursesEndDate() {
        return coursesEndDate;
    }

    public void setCoursesEndDate(Date coursesEndDate) {
        this.coursesEndDate = coursesEndDate;
    }

    public Integer getSurplusClassTimes() {
        return surplusClassTimes;
    }

    public void setSurplusClassTimes(Integer surplusClassTimes) {
        this.surplusClassTimes = surplusClassTimes;
    }

    public String getStudentNames() {
        return studentNames;
    }

    public void setStudentNames(String studentNames) {
        this.studentNames = studentNames;
    }
}
